### Method

# ICalGLib Parser clean

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_parser_clean (
      ICalParser* parser
    )

#### Description [src]

We won’t get a clean exit if some components did not have an “END” tag. Clear off any component that may be left in the list.

Available since: 1.0

#### Return value

Type: `ICalComponent`

The root `ICalComponent` in `parser`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.